• Home
  • Features
  • Pricing
  • Docs
  • Announcements
  • Sign In

openconfig / featureprofiles / 36442491825
8%

Build:
DEFAULT BRANCH: main
Ran 28 Sep 2026 03:21PM UTC
Jobs 1
Files 137
Run time 3min
Badge
Embed ▾
README BADGES
x

If you need to use a raster PNG badge, change the '.svg' to '.png' in the link

Markdown

Textile

RDoc

HTML

Rst

28 Sep 2026 03:17PM UTC coverage: 5.922% (-1.7%) from 7.582%
36442491825

push

github

web-flow
TE-16.1: basic encapsulation tests (ECN encap/decap copy and propagation logic) (#6080)

* TE-16.1: basic encapsulation tests (ECN encap/decap copy and propagation logi)

* (M) feature/gribi/otg_tests/basic_encap_test/README.md
  - Add test plan specifications for ECN encapsulation copy (Test 4) and decapsulation propagation (Test 5).
  - Add Canonical OC schema heading.
* (M) feature/gribi/otg_tests/basic_encap_test/basic_encap_test.go
  - Implement Test 4 ECN inner-to-outer copy validation.
  - Implement Test 5 decapsulation ECN propagation and tunnel stripping validation.
  - Add virtual DUT detection guard to skip hardware ASIC ECN checks on KNE.

* Address review feedback: public Go imports, RFC IP addressing, and pcap cleanup

- Revert internal google3 import paths to public github.com module paths.
- Update decapsulation IP addresses to RFC 2544 (198.18.11.0/24) and RFC 3849 (2001:db8:2016::/64) documentation ranges.
- Explicitly close pcap handles and remove temporary capture files per port iteration instead of deferring inside loop.

* fix(te16.1): add post-decap routes and fix candidate port inspection

* fix(te16.1): omit NextHopNetworkInstance on decap NH when unsupported

* fix(te16.1): allow 1% traffic loss tolerance for physical testbeds

* fix(te16.1): allow RFC 3168/6040 ECN compatibility mode and CoS remarking

- In basic_encap_test.go:
  * Allow arriving inner ECT(1) packets to be encapsulated as outer ECT(0) on Juniper PTX hardware per RFC 3168 Section 9.1.1 and RFC 6040 Section 4.1 Compatibility Mode.
  * Log notice rather than failing when default platform egress CoS drop-precedence remarking (e.g. Junos AF11 to CS1) occurs on physical interfaces.
- In README.md:
  * Document RFC 3168/6040 Compatibility Mode encap mapping.
  * Document CoS drop-precedence remarking behavior on physical testbeds.

* docs(te16.1): clarify RFC 3168 vs RFC 6040 ECN compliance across vendors

1632 of 27556 relevant lines covered (5.92%)

0.1 hits per line

Jobs
ID Job ID Ran Files Coverage
1 36442491825.1 28 Sep 2026 03:21PM UTC 137
7.58
GitHub Action Run
Source Files on build 36442491825
  • Tree
  • List 137
  • Changed 0
  • Source Changed 0
  • Coverage Changed 0
Coverage ∆ File Lines Relevant Covered Missed Hits/Line
  • Back to Repo
  • 9bc06a41 on github
  • Prev Build on main (#36436298335)
  • Next Build on main (#36489829563)
  • Delete
STATUS · Troubleshooting · Open an Issue · Sales · Support · CAREERS · ENTERPRISE · START FREE TRIAL · SCHEDULE DEMO
ANNOUNCEMENTS · TWITTER · TOS & SLA · Supported CI Services · What's a CI service? · Automated Testing

© 2026 Coveralls, Inc